UNIT Globals;

INTERFACE

USES
	Types,   QuickDraw, Events, Windows, Dialogs, Fonts, DiskInit, 
	Devices, TextEdit,  Traps,  Memory,  Processes, Scrap, ToolUtils, 
	OSUtils,   Menus, Palettes, GestaltEqu , Lists, TextUtils,
	QuickDrawText, Resources, Printing;

CONST
	kDocWindow			= 128;
	kMenuBar				= 128;
	kSleep				= 60;

	kDITop				= $0050;
	kDILeft				= $0070;
	
	kDefaultHOffset			= 10;
	kDefaultVOffset			= 20;
	
	kDefaultListProc		= 0;
		
	mApple				= 128;
		iAbout			= 1;
		
	mFile				= 129;
		iNew				= 1;
		iClose			= 2;
		iPrefs			= 4;
		iPageSetup		= 6;
		iPrint			= 7;
		iQuit				= 9;
			
	mEdit				= 130;
		iUndo			= 1;
		iCut				= 3;
		iCopy			= 4;
		iPaste			= 5;
		iClear			= 6;
		iSelectAll			= 7;
		iShowClip			= 9;
	
	mDummy				= 323;
	
	{ Color Constants }
		ckWhite			= 0;
		ckBlack			= 1;
			
TYPE
	
	OSInfoRec				= RECORD	{ A data type designed to hold info on the current system }
	{ gestaltDragMgrAttr }
		HasDragMgr		: BOOLEAN;	{ gestaltDragMgrPresent }
		HasDragFloat		: BOOLEAN;	{ gestaltDragMgrFloatingWind }
		HasDragPPC		: BOOLEAN;	{ gestaltPPCDragLibPresent }
		
	{ gestaltAppleEventsAttr }	
		HasAEMgr			: BOOLEAN;	{ gestaltAppleEventsPresent }
				
	{ gestaltHelpMgrAttr }	
		HasHelpMgr		: BOOLEAN;	{ gestaltHelpMgrPresent }
		
	{ gestaltPopupAttr }	
		HasPopUps		: BOOLEAN;	{ gestaltPopupPresent }
		
	{ gestaltQuickdrawFeatures }	
		HasColor			: BOOLEAN;	{ gestaltHasColor }
		
	{ gestaltThreadMgrAttr }
		HasThreads		: BOOLEAN;
		
		HasGestalt		: BOOLEAN;	{ _Gestalt	= $A1AD }
		HasWNE			: BOOLEAN;	{ _WaitNextEvent	= $A860 }		
	END;
	
	Document				= RECORD
		docID			: INTEGER;
		docWindow		: WindowRef;
		docList			: ListRef;
		nextDoc			: DocumentPeek;
	END;	
	DocumentPeek			= ^Document;
	
	IntegerList			= RECORD
		num				: INTEGER;
		next				: IntegerListRef;
	END; 
	IntegerListRef			= ^IntegerList;
	
	Preference			= RECORD
		what				: INTEGER;
		custom			: Str255;
		how				: INTEGER;
	END;
	PreferencePeek			= ^Preference;
	PreferenceRef			= ^PreferencePeek;
	
	
VAR
	gOSInfo				: OSInfoRec;
	gDone				: BOOLEAN;
	gAppResFile			: INTEGER;
	
	gDocument			: DocumentPeek;
	gDoc					: DocumentPeek;
	gTemp				: DocumentPeek;
	gDocID				: INTEGER;
	gDocCount				: INTEGER;

	gHOffset				: INTEGER;
	gVOffset				: INTEGER;

	gFonts				: IntegerListRef;
	
	gPrintRef				: THPrint;
	gPrintString			: Str255;
	
	gPalette				: PaletteHandle;

	gSettings				: PreferenceRef;
	gPrefRefNum			: INTEGER;
	
	gErr					: OSErr;
		
IMPLEMENTATION
END.